/*
 * Constants
 * Contains common Constants used in the calculations
 * These are read from the input.txt file
 * 
 * Made by Trygve Espeland Halvorsen, Spring 2008
 */

package no.marintek.simulator.ses;

public class Constants {
    public double rho;      // Mass density of sea water
    public double g;        // Acceleration of gravity
    public double rho_a;    // Mass density of air at atmospheric pressure
    public double gamma;    // Adiabatic constant
    public double p_a;      // Atmospheric pressure
    public double H;        // Roughness factor
    public double v;        // Kinematic viscosity
    public double k;        // Form factor
    

    public Constants(double rho,
            double g,
            double rho_a,
            double gamma,
            double p_a,
            double H,
            double v,
            double k) {
        
        this.rho = rho;
        this.g = g;
        this.rho_a = rho_a;
        this.gamma = gamma;
        this.p_a = p_a;
        this.H = H;
        this.v = v;
        this.k = k;
    }
}
