/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package no.marintek.simulator.ses;

/**
 *
 * @author MingKang Wu, MARINTEK
 */
public class LineElement {
    
    private int NOLE;

    private double[][][] element; // (NOLE,2,2)
    
    private int errorFlag;
    private String errorMessage;

    public LineElement(double[][] Profile)
    {
        
    // class variable
        
        NOLE=0;
        
        errorFlag=0;
        errorMessage=null;


    //  Profile[NOOP][2]
        
        int NOOP; // number of offset points      
        NOOP=Profile.length;        
        if(NOOP<3){
            errorFlag=1;
            errorMessage="NOOP<2 in LineElement.";
            return;
        }

        NOLE=NOOP-1;
                
        int NOC; // number of coordinates
        NOC=Profile[0].length; 
        if(NOC!=2){
            errorFlag=1;
            errorMessage="NOC!=2 in LineElement.";
            return;
        }

        // class variable

        element=new double[NOLE][2][2];


        for(int i=0; i<NOLE; i++){
            element[i][0][0]=Profile[i][0];
            element[i][0][1]=Profile[i][1];
            element[i][1][0]=Profile[i+1][0];
            element[i][1][1]=Profile[i+1][1];
        }

    }

    public int getNOLE() {
        
        return NOLE;
   
    }
    
    public void getElement(double E[][][]) {       
        for(int i=0; i<NOLE; i++){
            for(int j=0; j<2; j++){
                for(int k=0; k<2; k++){
                    E[i][j][k]=element[i][j][k];
                }
            }
        }
    }
     
    public int getErrorFlag() {
        
        return errorFlag;
   
    }

    public String getErrorMessage() {
        
        return errorMessage;
   
    }

}
