/*
 * SESMass
 * Finds mass lifted by the air cushion
 * This mass is added to the air cushion force, as the other federates only supplies mass due to displacement
 * 
 * Made by Trygve Espeland Halvorsen, Spring 2008
 */

package no.marintek.simulator.ses;

import java.io.*;
import java.util.*;


public class SESMass {
    public double massTotal = 0;        // Total vessel mass
    public double massDisplacement = 0; // Mass lifted by displacement
    public double massAirCushion = 0;   // Mass lifted by air cushion
 
    public SESMass(String tempPath) {
        this.massTotal = this.massDispl(tempPath);
    }
    
    
    private double massDispl(String tempPath) {
        double mass = 0;

        tempPath = tempPath + "\\retfun.re10"; // Static displacement in kg found in this file
        System.out.println("SESFederate: Reading displacement mass from " + tempPath);
        
        try {
            BufferedReader input = new BufferedReader(new FileReader(tempPath));
            
            // Only need first number on line 11 (displacement mass)
            // Read lines including line 11
            String dummy = null;
            try{
                for (int i=0; i<11; i++){
                    dummy = input.readLine();
                }
            } catch (EOFException eof){
            }           
            
            StringTokenizer dummyToken = new StringTokenizer(dummy);
            mass = Double.valueOf(dummyToken.nextToken()).doubleValue();   

        } catch (IOException e) {
            System.err.println("Error: " + e.toString());
        }    
        
        return mass;
    }
    
}
